#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=Icon\Icon.ico
#AutoIt3Wrapper_UseX64=n
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         M: Wagner
 Date:           17. Mrz 2018

 Script Function:
	Reset the configuration from Audacity. Note that stored chains are also deleted!


MIT-Lizenz

English

Copyright (c) 2018 Michael Wagner

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.


Deutsch

Copyright (c) 2018 Michael Wagner

Hiermit wird unentgeltlich jeder Person, die eine Kopie der Software und der zugehrigen Dokumentationen (die "Software") erhlt, die Erlaubnis
erteilt, sie uneingeschrnkt zu nutzen, inklusive und ohne Ausnahme mit dem Recht, sie zu verwenden, zu kopieren, zu verndern, zusammenzufgen, zu
verffentlichen, zu verbreiten, zu unterlizenzieren und/oder zu verkaufen, und Personen, denen diese Software berlassen wird, diese Rechte zu
verschaffen, unter den folgenden Bedingungen:

Der obige Urheberrechtsvermerk und dieser Erlaubnisvermerk sind in allen Kopien oder Teilkopien der Software beizulegen.

DIE SOFTWARE WIRD OHNE JEDE AUSDRCKLICHE ODER IMPLIZIERTE GARANTIE BEREITGESTELLT, EINSCHLIESSLICH DER GARANTIE ZUR BENUTZUNG FR DEN VORGESEHENEN
ODER EINEM BESTIMMTEN ZWECK SOWIE JEGLICHER RECHTSVERLETZUNG, JEDOCH NICHT DARAUF BESCHRNKT. IN KEINEM FALL SIND DIE AUTOREN ODER COPYRIGHTINHABER
FR JEGLICHEN SCHADEN ODER SONSTIGE ANSPRCHE HAFTBAR ZU MACHEN, OB INFOLGE DER ERFLLUNG EINES VERTRAGES, EINES DELIKTES ODER ANDERS IM
ZUSAMMENHANG MIT DER SOFTWARE ODER SONSTIGER VERWENDUNG DER SOFTWARE ENTSTANDEN.

#ce ----------------------------------------------------------------------------



; Is the language form windows german?
$lang = RegRead("HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Nls\Language", "InstallLanguage")

If $lang = "0407" Then
	$a = MsgBox(308, "Audacitykonfiguration zurcksetzten", "Sind sie sicher das alle Einstellungen von Audacity zurck gestzt werden sollen? Beachten Sie, dass auch gespeicherte Ketten gelscht werden!")
Else
	$a = MsgBox(308, "reset Audacityconfig", "Are you sure to delete all settings of Audacity? Note that stored chains are also deleted!")
EndIf


If $a = 6 Then
	DirRemove(@AppDataDir & "\Audacity",1)
	DirCreate(@AppDataDir & "\Audacity")
	DirCreate(@AppDataDir & "\Audacity\Chains")
	IniWrite(@AppDataDir & "\Audacity\audacity.cfg", "GUI", "ShowSplashScreen", "0")
	IniWrite(@AppDataDir & "\Audacity\audacity.cfg", "VST", "Rescan", "0")
	IniWrite(@AppDataDir & "\Audacity\audacity.cfg", "FFmpeg", "Enabled", "0")
	IniWrite(@AppDataDir & "\Audacity\audacity.cfg", "Locale", "Language", "")

	If $lang = "0407" Then
		FileDelete(@AppDataDir & "\Audacity\Chains\Konvert 440 Hz to 432 Hz.txt")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Konvert 440 Hz to 432 Hz.txt", "ChangePitch: Percentage=-1,818100")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Konvert 440 Hz to 432 Hz.txt", "Normalize: ApplyGain=yes RemoveDcOffset=yes Level=-1,000000 StereoIndependent=yes")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Konvert 440 Hz to 432 Hz.txt", "ExportMp3:")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Konvert 440 Hz to 432 Hz.txt", "")
		FileDelete(@AppDataDir & "\Audacity\Chains\Normalisieren.txt")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Normalisieren.txt", "Normalize: ApplyGain=yes RemoveDcOffset=yes Level=-1,000000 StereoIndependent=yes")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Normalisieren.txt", "")
	Else
		FileDelete(@AppDataDir & "\Audacity\Chains\Convert 440 Hz to 432 Hz.txt")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Convert 440 Hz to 432 Hz.txt", "ChangePitch: Percentage=-1,818100")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Convert 440 Hz to 432 Hz.txt", "Normalize: ApplyGain=yes RemoveDcOffset=yes Level=-1,000000 StereoIndependent=yes")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Convert 440 Hz to 432 Hz.txt", "ExportMp3:")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Convert 440 Hz to 432 Hz.txt", "")
		FileDelete(@AppDataDir & "\Audacity\Chains\Normalize.txt")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Normalize.txt", "Normalize: ApplyGain=yes RemoveDcOffset=yes Level=-1,000000 StereoIndependent=yes")
		FileWriteLine(@AppDataDir & "\Audacity\Chains\Normalize.txt", "")
	EndIf

EndIf
